Subject: Re: Tracking files across tree reorganizations

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 14 Dec 2005 15:12:33 -0800

Petr Baudis wrote:
> Hah, here we go again. :-)
> 
> Dear diary, on Wed, Dec 14, 2005 at 10:15:59PM CET, I got a letter
> where "H. Peter Anvin" <[email-masked]> said that...
> 
>>Did anything ever happen with that?
> 
> Linus is against it.
> 

I don't think so.  Linus is against the user having to explicitly record 
the moves, but we can detect the moves at the point of reorganization.

> Cogito will do it anyway ;-), when someone sends me a nice patch or when
> I get to it (probably not very soon). I imagine it like this:
> 
> (a) User can explicitly note file moves / renames. We follow those notes.
> Probably the most viable for recording the notes is appending them at
> the tail of the commit message.
> 
> (b) If there are no notes for the given commit, we do the rename
> autodetection already implemented in GIT. If it yields something,
> we follow it.

I don't see anything in Linus' posts that says (b) is unacceptable.

	-hpa